instance.h File Reference
`#include <ubuntu/visibility.h>`
`#include <ubuntu/application/description.h>`
`#include <ubuntu/application/options.h>`
`#include <mir_toolkit/mir_client_library.h>`
Include dependency graph for instance.h:

Go to the source code of this file.

## Typedefs

typedef void | UApplicationInstance
| Opaque type describing an application instance.An application instance encapsulates the event loop of an app. More...

## Functions

UBUNTU_DLL_PUBLIC UApplicationInstance * | u_application_instance_new_from_description_with_options (UApplicationDescription *desc, UApplicationOptions *options)
| Creates a new application instance with a reference count of 1. More...
UBUNTU_DLL_PUBLIC MirConnection * | u_application_instance_get_mir_connection (UApplicationInstance *instance)
| Return the MirConnection associated with an application instance. Use of MirConnection with the mir client API is now the preferred way to create and use application surfaces. The ua_ui_ namespace is now deprecated. More...
UBUNTU_DLL_PUBLIC void | u_application_instance_ref (UApplicationInstance *instance)
| Increments the reference count of an application instance. More...
UBUNTU_DLL_PUBLIC void | u_application_instance_unref (UApplicationInstance *instance)
| Decrements the reference count of an application instance and releases all resources held by the object if the reference count reaches 0. More...
UBUNTU_DLL_PUBLIC void | u_application_instance_destroy (UApplicationInstance *instance)
| Destroys the application instance and releases all its resources. More...
UBUNTU_DLL_PUBLIC void | u_application_instance_run (UApplicationInstance *instance)
| Executes the event loop of the application instance. More...